//
//  DBHelper.swift
//  Alamofire
//
//  Created by Amit satyapanthi on 28/03/19.
//

import FMDB
import SwiftyJSON

public class DBHelper{
    static func getJsonFromTable(database:FMDatabase,tableName:String)->JSON{
        //var varIntRowCount:String = ""
        if database.open()
        {
            print("Row Count")
            let queryCount = "SELECT * FROM \(tableName) WHERE chrSyncFlag = 'Y'"
            print(queryCount)
            if let rs = database.executeQuery(queryCount, withArgumentsIn: [])
            {
                var data = [JSON]()
                while(rs.next()){
                    let dir = rs.resultDictionary
                    //print(dir)
                    let json = JSON(dir)
                    print(json)
                    data.append(json)
                    
                }
                let json = JSON(data)
                return json
            }
        }
        
        return JSON("")
    }
}
